> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts



## OpenAPI

````yaml ledger-openapi GET /v1/ledger/{ledger_key}/account
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/account:
    get:
      summary: List Accounts
      operationId: Accounts_listAccount
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/PaginationQuery.cursor'
        - $ref: '#/components/parameters/PaginationQuery.limit'
        - $ref: '#/components/parameters/LedgerKey'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Account'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    PaginationQuery.cursor:
      name: cursor
      in: query
      required: false
      description: >-
        The cursor for the next set of results.

        This is an opaque string representing the starting point for the next
        page.

        For the first request, this should be omitted or set to null.
      schema:
        type: string
    PaginationQuery.limit:
      name: limit
      in: query
      required: false
      description: |-
        The number of items to be returned per page.
        Determines the page size for the paginated results.
        Default value: 25
        Maximum value: 100 (to prevent excessive load on the server)
      schema:
        type: integer
        format: int32
        default: 25
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
  schemas:
    Account:
      type: object
      required:
        - account_id
        - account_ref
        - default_asset_code
        - enabled_assets
        - created_at
        - updated_at
      properties:
        account_id:
          type: string
          format: uuid
          description: The unique identifier of the account
        account_ref:
          type: string
          minLength: 1
          description: The externally defined reference of the account
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - INACTIVE
          description: The status of the account, defaults to ACTIVE
        default_asset_code:
          type: string
          minLength: 1
          description: The default asset for the account
        enabled_assets:
          type: array
          items:
            $ref: '#/components/schemas/EnabledAsset'
          description: >-
            The enabled assets for the account with asset rules such as min/max
            balances
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the account
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    EnabledAsset:
      type: object
      required:
        - asset_code
        - max_balance
        - created_at
        - updated_at
      properties:
        asset_code:
          type: string
          minLength: 1
          description: The asset reference
        min_balance:
          type: string
          description: The minimum balance allowed for the asset, defaults to 0 if not set
        max_balance:
          type: string
          description: >-
            The maximum balance allowed for the asset, defaults to max int64 if
            not set
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time

````